@import 'src/style/includes/sass_vars_and_mixins.module.scss';


// HERO
$lead-font-size: calc(1.2 * var(--font-size-xxxxl));
$lead-shadow: 0 0 18px rgb(0 0 0), 0 0 50px rgb(0 0 0 / 58%);

.wrapper {
  background-position: 50% 50%;
  background-size: cover;
  position: relative;
  z-index: 1;
  padding: 8.5vw 0;
  text-align: center;
  margin-bottom: var(--space-s);

  &:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
  }

  @include smaller-than-s {
    padding: var(--space-xxl) var(--space-xs);
    margin-bottom: 0;
  }
}

.leadQuestionWrapper {
  position: relative;
  max-width: 50em;
  margin: 0 auto;
  z-index: 1;

  @include smaller-than-s {
    padding: var(--size-xl);
  }
}

.heroImageAttribution {
  position: absolute;
  color: var(--color-background-base);
  right: var(--space-xs);
  bottom: var(--space-xxxs);
  font-size: var(--font-size-s);
  z-index: 1;
  opacity: 0.7;
  @include text-border(rgba(0, 0, 0, 0.3), 1.5px);
}

.leadQuestion {
  font-size: $lead-font-size;
  color: white;
  line-height: 1.3em;
  font-weight: 500;
  text-shadow: $lead-shadow;
  margin-bottom: var(--space-xl);

  @include smaller-than-s {
    font-size: var(--font-size-xxxxl);
    margin-bottom: var(--space-l);
  }
}

.leadQuestionCountry {
  font-size: $lead-font-size;
  border-bottom: 3px solid var(--color-background-base);
  color: inherit;
  display: inline-flex;
  align-items: center;

  @include smaller-than-s {
    font-size: var(--font-size-xxxxl);
  }
}

.selectIcon {
  font-size: 0.65em;
  margin-left: var(--space-xxxs);
  margin-right: -0.2em;
  transform: translateY(0.1em);
}

.leadCtaButtonWrapper {
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3);
}
